package cast

import (
	"fonchain-fiee/api/cast"
	"fonchain-fiee/pkg/service"
	"github.com/gin-gonic/gin"
)

func UpdateWork(ctx *gin.Context) {
	var req *cast.UpdateWorkReq
	if err := ctx.ShouldBind(&req); err != nil {
		service.Error(ctx, err)
		return
	}
	resp, err := service.CastProvider.UpdateWork(ctx, req)
	if err != nil {
		service.Error(ctx, err)
		return
	}
	service.Success(ctx, resp)
	return
}
